classification
Title: PEP 3121, 384 Refactoring applied to termios module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:32 by Robin.Schreiber, last changed 2020-09-08 09:00 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
termios_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:32
Messages (2)
msg168417 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:32
Changes proposed in PEP3121 and PEP384 have now been applied to the termios module!
msg376553 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-09-08 09:00
Fixed by:

New changeset 15dcdb211366e0788e831fc2a1f785e6a5ca2749 by Mohamed Koubaa in branch 'master':
bpo-1635741: Port the termios to multi-phase init (PEP 489) (GH-22139)
https://github.com/python/cpython/commit/15dcdb211366e0788e831fc2a1f785e6a5ca2749
History
Date User Action Args
2020-09-08 09:00:17vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg376553
resolution: duplicate
stage: resolved
2012-11-08 13:41:31Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 21:32:48Robin.Schreibercreate